package com.hzya.frame.wecom.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.application.entity.SysExtensionApiEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * @Description 企业微信service
 * @Author xiangerlin
 * @Date 2024/9/23 14:23
 **/
public interface IWeComService {
    /**
     * 获取accessToken
     * 该方法会缓存accessToken
     * https://qyapi.weixin.qq.com/cgi-bin/gettoken?corpid=ID&corpsecret=SECRET
     * @param jsonObject
     * @return
     */
    JSONObject accessToken(JSONObject jsonObject);

    /**
     * 发送消息
     * https://qyapi.weixin.qq.com/cgi-bin/message/send?access_token=ACCESS_TOKEN
     * @param jsonObject
     * @return
     */
    JSONObject messageSend(JSONObject jsonObject);

    /**
     * 根据授权码获取用户信息
     * 单点登录的时候用
     * https://qyapi.weixin.qq.com/cgi-bin/auth/getuserinfo?access_token=ACCESS_TOKEN&code=CODE
     * @param jsonObject
     * @return
     */
    JSONObject getUserInfoByAuthCode(JSONObject jsonObject);

    /**
     * 根据userid读取成员信息
     * https://qyapi.weixin.qq.com/cgi-bin/user/get?access_token=ACCESS_TOKEN&userid=USERID
     * @param jsonObject
     * @return
     */
    JSONObject getUserInfoByUserId(JSONObject jsonObject);

    /**
     * 根据手机号获取userid
     * https://qyapi.weixin.qq.com/cgi-bin/user/getuserid?access_token=ACCESS_TOKEN
     * @param jsonObject
     * @return
     */
    JSONObject getUserIdByMobile(JSONObject jsonObject);
}
